> ## Documentation Index
> Fetch the complete documentation index at: https://docs.compasslabs.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Market Data

> Get a list of active markets.



## OpenAPI

````yaml /v1/combined_spec.json get /v1/pendle/markets
openapi: 3.1.0
info:
  title: Compass API
  description: Compass Labs DeFi API
  version: 0.0.1
servers:
  - url: https://api.compasslabs.ai
    description: Production server
security:
  - ApiKeyAuth: []
paths:
  /v1/pendle/markets:
    get:
      tags:
        - Pendle
      summary: List Market Data
      description: Get a list of active markets.
      operationId: v1_pendle_markets
      parameters:
        - name: chain
          in: query
          required: true
          schema:
            type: string
            enum:
              - arbitrum
              - base
              - ethereum
            title: Chain
            default: arbitrum
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PendleListMarketsResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      x-codeSamples:
        - lang: python
          label: Python (SDK)
          source: |-
            from compass_api_sdk import CompassAPI, models


            with CompassAPI(
                api_key_auth="<YOUR_API_KEY_HERE>",
            ) as compass_api:

                res = compass_api.pendle.pendle_markets(chain=models.V1PendleMarketsChain.ARBITRUM)

                # Handle response
                print(res)
        - lang: typescript
          label: Typescript (SDK)
          source: |-
            import { CompassApiSDK } from "@compass-labs/api-sdk";

            const compassApiSDK = new CompassApiSDK({
              apiKeyAuth: "<YOUR_API_KEY_HERE>",
            });

            async function run() {
              const result = await compassApiSDK.pendle.pendleMarkets({
                chain: "arbitrum",
              });

              console.log(result);
            }

            run();
components:
  schemas:
    PendleListMarketsResponse:
      properties:
        markets:
          items:
            $ref: '#/components/schemas/PendleMarket'
          type: array
          title: Markets
          description: A list of active markets on the inputted chain.
      type: object
      required:
        - markets
      title: PendleListMarketsResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PendleMarket:
      properties:
        name:
          type: string
          title: Name
        address:
          type: string
          title: Address
        expiry:
          type: string
          format: date-time
          title: Expiry
        pt:
          type: string
          title: Pt
        yt:
          type: string
          title: Yt
        sy:
          type: string
          title: Sy
        underlyingAsset:
          type: string
          title: Underlyingasset
        details:
          $ref: '#/components/schemas/Details'
        isNew:
          type: boolean
          title: Isnew
        isPrime:
          type: boolean
          title: Isprime
        timestamp:
          type: string
          format: date-time
          title: Timestamp
      type: object
      required:
        - name
        - address
        - expiry
        - pt
        - yt
        - sy
        - underlyingAsset
        - details
        - isNew
        - isPrime
        - timestamp
      title: PendleMarket
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    Details:
      properties:
        liquidity:
          type: number
          title: Liquidity
        pendleApy:
          type: number
          title: Pendleapy
        impliedApy:
          type: number
          title: Impliedapy
        feeRate:
          type: number
          title: Feerate
        movement10Percent:
          anyOf:
            - $ref: '#/components/schemas/Movement10Percent'
            - type: 'null'
        yieldRange:
          $ref: '#/components/schemas/YieldRange'
        aggregatedApy:
          type: number
          title: Aggregatedapy
        maxBoostedApy:
          type: number
          title: Maxboostedapy
      type: object
      required:
        - liquidity
        - pendleApy
        - impliedApy
        - feeRate
        - yieldRange
        - aggregatedApy
        - maxBoostedApy
      title: Details
    Movement10Percent:
      properties:
        ptMovementUpUsd:
          anyOf:
            - type: number
            - type: 'null'
          title: Ptmovementupusd
        ptMovementDownUsd:
          anyOf:
            - type: number
            - type: 'null'
          title: Ptmovementdownusd
        ytMovementUpUsd:
          anyOf:
            - type: number
            - type: 'null'
          title: Ytmovementupusd
        ytMovementDownUsd:
          anyOf:
            - type: number
            - type: 'null'
          title: Ytmovementdownusd
      type: object
      title: Movement10Percent
    YieldRange:
      properties:
        min:
          type: number
          title: Min
        max:
          type: number
          title: Max
      type: object
      required:
        - min
        - max
      title: YieldRange
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        Your Compass API Key. Get your key
        [here](https://www.compasslabs.ai/dashboard).

````